# -*- coding: utf-8 -*-
# Copyright (C) 2005 Lateef Alabi-Oki
#
# This file is part of Scribes.
#
# Scribes is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# Scribes is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Scribes; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

"""
Scrollwindow for the editor

"""


def create_scroll_window():
	"""
	Create a scrollwindow object for the editor

	@return:	scrollwindow object
	@rtype:		A scrollwindow object

	"""

	from gtk import ScrolledWindow, RESIZE_PARENT, POLICY_AUTOMATIC, SHADOW_IN
	scroll_window = ScrolledWindow()
	scroll_window.set_resize_mode(RESIZE_PARENT)
	scroll_window.set_border_width(1)
	scroll_window.set_policy(POLICY_AUTOMATIC, POLICY_AUTOMATIC)
	scroll_window.set_shadow_type(SHADOW_IN)

	return scroll_window

