# -*- coding: utf-8 -*-
# Copyright (C) 2005 Lateef Alabi-Oki
#
# This file is part of Scribes.
#
# Scribes is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# Scribes is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Scribes; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

"""
Statusbar functions for Scribes

"""

from pygtk import require
require("2.0")
from gtk import Table, Statusbar, EXPAND, FILL, RESIZE_PARENT


def create_statusbar():
	"""
	Create a statusbar object for the editor

	@return: statusbar structure containing 3 statusbars and status container
	@rtype: a tuple object

	"""

	status_container = Table(rows=1, columns=12, homogeneous=True)
	status_container.resize_children()

	# Create the first status bar, define its properties and attach it to
	# the status bar container.
	status_one = Statusbar()
	status_container.attach(status_one, 0, 9, 0, 1,
								xoptions=EXPAND|FILL,
								yoptions=EXPAND|FILL,
								xpadding=0, ypadding=0)

	# Set Container Properties
	status_one.set_resize_mode(RESIZE_PARENT)

	# Set Statusbar Properties
	status_one.set_has_resize_grip(False)

	# Create the second status bar, define its properties and attach it to
	# the status bar container
	status_two = Statusbar()
	status_container.attach(status_two, 9, 11, 0, 1,
								xoptions=EXPAND|FILL,
								yoptions=EXPAND|FILL,
								xpadding=0, ypadding=0)

	# Set Container Properties
	status_two.set_resize_mode(RESIZE_PARENT)

	# Set Statusbar Properties
	status_two.set_has_resize_grip(False)

	# Create the third status bar, define its properties and attach it to
	# the status bar container
	status_three = Statusbar()
	status_container.attach(status_three, 11, 12, 0, 1,
								xoptions=EXPAND|FILL,
								yoptions=EXPAND|FILL,
								xpadding=0, ypadding=0)

	# Set Container Properties
	status_three.set_resize_mode(RESIZE_PARENT)

	# Set Statusbar Properties
	status_three.set_has_resize_grip(True)

	return status_container, status_one, status_two, status_three

